KMYMONEY2(1)

NAME
KMyMoney - the personal finances manager for KDE

SYNOPSIS
kmymoney2 [Qt-options] [KDE-options] [File]

DESCRIPTION
This manual page documents briefly the KMyMoney KDE Application. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

KMyMoney is the Personal Finance Manager for the KDE environment. It provides the functions required to balance your checkbooks, manage your personal loans and categorise your incomes and expenses using a checkbook style graphical user interface.

OPTIONS

  Arguments:

File
    file to open

  Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  KDE options

--caption caption
    Use caption as name in the titlebar.

--icon icon
    Use icon as the application icon. icon is the name of the icon, which can either be an absolute filename path, or otherwise the icon is sought for in places according to the normal KDE rules.

--miniicon icon
    Use icon as the icon in the titlebar. icon is the filename of the icon, according to the same rules as for the --icon parameter.

--config filename
    Use an alternative configuration file, instead of the default, which is normally located in /usr/share/config or in $KDEHOME/share/config

--dcopserver server
    Set the address of the DCOP server to attach to.

--nocrashhandler
    Disable crash handler, to get core dumps. This option has the same effect as definiting the environment variable KDE_DEBUG.

--waitforwm
    Waits for a WM_NET compatible windowmanager.

--style style
    sets the application GUI style.

--geometry geometry
    sets the client geometry of the main widget. The geometry parameter follows the normal X convention for geometry, which is on the form:

        [widthxheight][{+-}xpos{+-}ypos]

    Where width and height gives the desired minimum width and height, of the main application window. Both in pixels. A value of 0 specifies the default size. The optional xpos and ypos specifies the x,y-position that which is desired for the application window. Specifying negative values for x or y implies that the x or y position is to be measured from the left or bottom screen edge, instead of as in the normal case, with positive values, from the left and top edges.

  Qt options

--display displayname
    Use the X-server display displayname.

--session sessionId
    Restore the application for the given sessionId.

--cmap
    Causes the application to install a private color map on an 8-bit display.

--ncols count
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification.

--nograb
    Tells Qt to never grab the mouse or the keyboard.

--dograb
    Running under a debugger can cause an implicit -nograb, use -dograb to override.

--sync
    switches to synchronous mode for debugging.

--fn, --font fontname
    Defines the default application font. The fontname should be in the X logical font name description format XLFD. For a full description of the format see /usr/X11R6/lib/X11/doc/xlfd.TXT Note that the application might override the font specified with its own font.

--bg, --background color
    Sets the default background color and an application palette (light and dark shades are calculated).

--fg, --foreground color
    Sets the default foreground color.

--btn,--button color
    Sets the default button color.

--name name
    Sets the application name.

--title title
    Sets the application title. This option might, or might not appear in the title bar caption, depending on the application. To change the caption, use the --caption option instead.

--visual TrueColor
    Forces the application to use a TrueColor visual on an 8-bit display.

--inputstyle inputstyle
    Sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespotandroot.

--im XIM-server
    Set XIM server.

--noxim
    Disable XIM.

--reverse
    Mirror reverses the whole layout of widgets. This means that menus will go in the opposite direction, the scroll bar will be on the opposite side, etc. For a normal western layout that means that menus and tool bars will go from the right edge to the left, the vertical scroll bar will be on the left side and so on.

ENVIRONMENT

  standard KDE environment variables

KDE_LANG
    Language locale setting to use. This option makes it possible to set another language environment for a program than what is the default. The correct language pack for this language has to be installed for this option to work. The default language when there is none set is en_US. When deciding upon a language, the following resources are looked up, in order: KDE_LANG, configuration file, LC_CTYPE, LC_MESSAGES, LC_ALL, LANG.

KDE_UTF8_FILENAMES
    Assume that all filenames are in UTF-8 format regardless of the current language setting. Otherwise the filename format is defined by the language.

KDE_MULTIHEAD
    If this variable has the value true multihead multiple display mode is enabled. The KDE display will be shared over more than one screen.

DISPLAY
    Specifies the X display to run KDE on.

KDESYCOCA
    Specifies and alternative path for the ksycoca KDE system configuration cache file. The default path is /tmp/kde-$USER/ksycoca

DCOPSERVER
    Specifies an alternative path for the DCOP server file. The default file is $HOME/.DCOPserver_hostname_displayname

SESSION_MANAGER
    The session manager to use. This option is set automatically by KDE and is a network path to the session manager socket.

HOME
    Path to the home directory for the current user.

KDEHOME
    The KDE per-user setting directory. Default if not specified is $HOME/.kde

AUTHOR
KMyMoney was written by

Michael Edwardes <mte@users.sourceforge.net>,
Felix Rodriguez <frodriguez@users.sourceforge.net>,
John C <tacoturtle@users.sourceforge.net>,
Thomas Baumgart <ipwizard@users.sourceforge.net>,
Kevin Tambascio <ktambascio@users.sourceforge.net> and
Arni Ingimundarson <arniing@users.sourceforge.net>.

Please use

    http://sourceforge.net/tracker/?group_id=4708

to report bugs and post support or feature requests.
Do not mail the authors directly.

This manual page was prepared by Karolina Lindqvist <pgd-karolinali@algonet.se> for the Debian GNU/Linux system (but may be used by others) and has been enhanced by Thomas Baumgart <ipwizard@users.sourceforge.net> to reflect the latest changes in development.

SEE ALSO
The full documentation for KMyMoney is maintained as a docbook manual. If the khelpcenter program is properly installed at your site, the command

    khelpcenter help:/kmymoney2

should give you access to the complete manual.

Alternatively the manual can be browsed in konqueror giving it the URL help:/kmymoney2